PDA

Afficher la version complète : Comment Installer Emacs ?!



suzerain
05/04/2005, 11h44
Salut à tous et ....
A l'AIIIIIIIIIIIIIIIIIDEEEEEE!! http://www.alionet.org/style_emoticons/<#EMO_DIR#>/sad.gif http://www.alionet.org/style_emoticons/<#EMO_DIR#>/sad.gif
En effet, ça fait plus d'un mois maintenant que j'ai laisser tomber la Mandrake 10.1 pour la distri Suse 9.2, et je dois avouer que ça à été un coup de foudre immédiat ! http://www.alionet.org/style_emoticons/<#EMO_DIR#>/biggrin.gif

Cependant, mon compte de fée n'a pas durée très longtemps, car j'ai vite eu une très mauvaise surprise : PAS UNE TRACE d'EMACS préinstaller dans la distri !! Ca fait vraiment très mal, car emacs est mon outil de prog de base, et perso, je NE PEUX PAS M'EN PASSER!
Donc, j'ai essayer de trouver des rpm sur le net, mais mon install est bloqué à chaque par une dizaine de "dépendances" http://www.alionet.org/style_emoticons/<#EMO_DIR#>/mad.gif introuvable, et je sais plus quoi faire pour m'en sortir!! J'ai même penser à revenir à la mandrake!! Mais bon: j'aime trop Suse, alors, svp aidez moi si possible à :
- Trouver TOUS CE qu'il faut comme rpm + DEPENDACES pour installer emacs sur la suse 9.2
- Et avec tout ça, un bon p'tit fichier explicatif qui dirait comment s'y prendre pas à pas , ca m'aiderait beaucoup ! http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif

le Suzerain vous remercie d'avance !

chamaeleo
05/04/2005, 12h31
Passe par Yast, en cochant la case vérification des dépendances auto il va le faire comme un grand.

bluetux
05/04/2005, 12h32
C'est vrai qu'Emacs n'est pas pré-installé sur SuSE dumoins sur la version gratuite (sur la version en boîte, je ne sais pas).

Inutile d'aller chercher des RPM à installer à la main avec les dépendances. Va dans Yast>Logiciels>Installer /Supprimer des logiciels, et entre emacs, dans le champ Recherche. Tu devrais voir une liste assez conséquente de paquets emacs s'afficher, tu n'as plus qu'à faire ton choix. A tout le moins il te faut le paquets : emacs GNU Base package.

Tu peux aussi installer emacs via Synaptic...question de choix.